
operationId: listCustomers
summary: List customers
tags:
  -  customers

parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
  - $ref: ../../components/query-parameters/page.yml
  - $ref: ../../components/query-parameters/page-size.yml
  - $ref: ../../components/query-parameters/order-type.yml
  - $ref: ../../components/query-parameters/order-by/customer.yml
  - $ref: ../../components/query-parameters/filters/customer.yml

responses:
  200:
    description: Success
    content:
      application/json:
        schema:
          type: object
          properties:
            total:
              type: number
            results:
              type: array
              items:
                allOf:
                  - $ref: ../../components/schemas/entities/customer/properties.yml
                  - $ref: ../../components/schemas/entities/customer/relations.yml
  400:
    $ref: ../../components/responses/400-bad-request.yml
